package com.zhentao.pojo;

import com.zhentao.Dto.CommonRequest;
import lombok.Data;

import javax.validation.constraints.*;
import java.math.BigDecimal;
import java.util.Map;

@Data
public class Goods extends CommonRequest {
    @NotBlank(message = "商品Id不能为空")
    private String goodsId;

    @NotNull(message = "数量不能为空")
    @Min(value = 1,message = "数量必须大于0")
    private  Integer amount;

    @NotNull(message = "价格不能为空")
    @DecimalMin(value = "0.01",message = "价格必须大于0")
    @DecimalMax(value = "9999",message = "价格必须小于9999")
    private BigDecimal price;


    @NotBlank(message = "手机号不能为空")
    @Pattern(regexp = "^1[3-9]\\d{9}$", message = "手机号格式不正确")
    private String mobile;


    @NotBlank(message = "日期格式应该为yyyy-MM-dd")
    @Pattern(regexp = "^\\d{4}-\\d{2}-\\d{2}$", message = "日期格式应为yyyy-MM-dd")
    private String nowDate;


}
